Add description field to custom queries
2011-09-23 00:11 - Anonymous

Status: Closed Start date: 2011-09-23
Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 6.0.0

Resolution: Fixed

Description

Especially for public queries, it would be really useful to provide a simple description field where one could describe what the query

displays and what it's used for.

Related issues:

Has duplicate Redmine - Feature #28533: Add a description in a custom queries Closed

Has duplicate Redmine - Feature #39047: Add description field for issue queries Closed

Associated revisions

Revision 22855 - 2024-06-04 22:04 - Marius BALTEANU
Adds description field to custom queries (#9309).

Patch by Go MAEDA (@maeda).

Revision 22856 - 2024-06-04 22:05 - Marius BALTEANU
Set migration version to 7.1 (#9309).

Revision 22859 - 2024-06-05 09:55 - Go MAEDA

Remove unsupported :after option from add_column in AddQueriesDescription migration (#9309).

History

#1 - 2011-09-23 09:11 - Etienne Massip

- Category set to Issues

#2 - 2012-12-10 10:27 - Christian Zagrodnick

Indeed. +1

#3 - 2018-04-12 06:03 - Go MAEDA

- Has duplicate Feature #28533: Add a description in a custom queries added

#4 - 2020-02-26 13:43 - Tuan-Tu Tran
Diego Gonzalez wrote in #28533:

| have more than 40 different querys and it would be practical to be able to add to each one, a description of the results that it brings.

#5 - 2023-12-30 09:42 - Go MAEDA
From #39047 posted by Liane Hampe:

clipboard-202309081141-e5hz5.png

#6 - 2023-12-30 09:42 - Go MAEDA

- Has duplicate Feature #39047: Add description field for issue queries added

#7 - 2024-02-15 04:02 - Takenori TAKAKI
https://www.redmine.org/issues/39047
https://www.redmine.org/users/361769

- File clipboard-202402151202-fg4bo.png added
- File add-query-description.patch added

+1
| made a patch to implement this feature.
| attach a patch that can be tested with the latest trunk.

On the sidebar, the description is displayed as hover text for the query link.
clipboard-202402151202-fg4bo.png

#8 - 2024-02-16 02:47 - Go MAEDA

- Target version set to Candidate for next major release

#9 - 2024-02-22 02:51 - Takenori TAKAKI
- File add-query-description-with-migration.patch added

The patch attached in #note-7 was missing the migration file.
Attach a patch with the migration file added.

#10 - 2024-05-29 05:04 - Go MAEDA

- File clipboard-202405291159-tpdwu.png added

- File clipboard-202405291159-5gk7x.png added

- File add-query-description-with-migration-v2.patch added

| have updated the patch to add a subtitle class to the p element for displaying the description.

The subtitle class is already used in boards/show.html.erb and activities/index.html.erb. | think the change makes the Ul more consistent.

Before:
clipboard-202405291159-tpdwu.png

After:
clipboard-202405291159-5gk7x.png

#11 - 2024-05-30 05:55 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0
Setting the target version to 6.0.0.

#12 - 2024-06-04 22:06 - Marius BALTEANU
- Status changed from New to Resolved
- Assignee set to Marius BALTEANU

- Resolution set to Fixed
Patch committed, thanks!

#13 - 2024-06-04 22:07 - Marius BALTEANU

- Subject changed from Descriptions in Saved Queries to Add description field to custom queries

#14 - 2024-06-05 06:25 - Mizuki ISHIKAWA

It seems that the migration fails due to changes in r22856.
If you revert to ActiveRecord::Migration[6.1], it does not fail.

Here is the log when the failure occurs:
== 20231113131245 EnsureDefaultNotificationOptionIsStoredInDb: migrating ======
== 20231113131245 EnsureDefaultNotificationOptionIsStoredInDb: migrated (0.0019s)

== 20240213101801 AddQueriesDescription: migrating
-— add_column (:queries, :description, :string, {:after=>:name})

rake aborted!
StandardError: An error has occurred, this and all later migrations canceled:
Unknown key: :after. Valid keys are: :limit, :precision, :scale, :default, :null, :collation, :comment, :prima
ry_key, :1if_exists, :if_not_exists, :array, :using, :cast_as, :as, :type, :enum_type, :stored
/var/lib/redmine/db/migrate/20240213101801_add_queries_description.rb:3:in “up'

/usr/local/bin/bundle:23:in " load'

/usr/local/bin/bundle:23:in " <main>'

Caused by:

ArgumentError: Unknown key: :after. Valid keys are: :1imit, :precision, :scale, :default, :null, :collation,
comment, :primary_key, :if_exists, :if_not_exists, :array, :using, :cast_as, :as, :type, :enum_type, :stored
/var/lib/redmine/db/migrate/20240213101801_add_queries_description.rb:3:in “up'

/usr/local/bin/bundle:23:in "load'

/usr/local/bin/bundle:23:in "<main>"'

Tasks: TOP => db:migrate:reset => db:migrate

(See full trace by running task with —--trace)

The Redmine build status showed that it failed when PostgreSQL and SQLite.
#15 - 2024-06-05 09:34 - Go MAEDA
Mizuki ISHIKAWA wrote in #note-14:

It seems that the migration fails due to changes in r22856.

If you revert to ActiveRecord::Migration[6.1], it does not fail.

| found that the :after option for add_column is only supported by MySQL. You can check the available options for add_column here:
https://api.rubyonrails.org/classes/ActiveRecord/ConnectionAdapters/SchemaStatements.html#method-i-add_column

When using a database other than MySQL, the :after option was silently ignored in Rails 6.1, but in Rails 7.1 it raises an exception.
| will remove the :after option from db/migrate/20240213101801_add_queries_description.rb.
#16 - 2024-06-05 09:56 - Go MAEDA
Go MAEDA wrote in #note-15:
Mizuki ISHIKAWA wrote in #note-14:
It seems that the migration fails due to changes in r22856.

If you revert to ActiveRecord::Migration[6.1], it does not fail.

| found that the :after option for add_column is only supported by MySQL. You can check the available options for add_column here:
https://api.rubyonrails.org/classes/ActiveRecord/ConnectionAdapters/SchemaStatements.html#method-i-add_column

When using a database other than MySQL, the :after option was silently ignored in Rails 6.1, but in Rails 7.1 it raises an exception.

| will remove the :after option from db/migrate/20240213101801_add_queries_description.rb.

Committed the fix in r22859.

#17 - 2024-06-14 10:24 - Marius BALTEANU

- Status changed from Resolved to Closed

Files

clipboard-202402151202-fg4bo.png 90.2 KB 2024-02-15 Takenori TAKAKI
